Module java.xml
Package javax.xml.datatype

# Class DatatypeConstants.Field

java.lang.Object
javax.xml.datatype.DatatypeConstants.Field

Enclosing class:
  DatatypeConstants

public static final class DatatypeConstants.Field extends Object
Type-safe enum class that represents six fields of the `Duration` class.

Since:
  1.5

## Method Summary

Modifier and Type
Method
Description
`int`
`getId()`
Get id of this Field.
`String`
`toString()`
Returns a field name in English.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### toString

public String toString()
Returns a field name in English. This method is intended to be used for debugging/diagnosis and not for display to end-users.

Overrides:
  `toString` in class `Object`
Returns:
  a non-null valid String constant.

### getId

public int getId()

Get id of this Field.

Returns:
  Id of field.